Autor Tópico: Aviso de "dpkg" bugado!  (Lida 3108 vezes)

Offline Marcopolo

  • Usuário Ubuntu
  • *
  • Mensagens: 688
  • Ubuntu forever, ever!!
    • Ver perfil
Aviso de "dpkg" bugado!
« Online: 21 de Julho de 2007, 11:34 »
Caros amigos, alguma coisa devo ter feito de errado(é claro!) para toda vez que vou fazer atualização e tbm, qdo tento abrir o Synaptic, dá esse aviso em ingles, abaixo:

E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to corret the problem.  E:_cache ->open()failed, please report

Que traduzido, dá isso:

E: o dpkg foi interrompido, você deve manualmente funcionar o “dpkg --configurar -” ao corret o problema. E: _cache - >open () falhado, relatar por favor

Quer dizer, algo está bugando, né?

Dei um   dpkg --help e deu isso abaixo mas não sei analisar e muito pouco, recuperar o erro:

evandro@evandro-desktop:~$ sudo dpkg --configurar -
Password:
dpkg: opção desconhecida --configurar

Digite dpkg --help para ajuda sobre instalação e desinstalação de pacotes
  • ;

Use `dselect' ou `aptitude' para gerenciamento amigável de pacotes;
Digite dpkg -Dhelp para uma lista de valores de marcas de debug do dpkg;
Digite dpkg --force-help para uma lista de opções para forçar certas operações;
Digite dpkg-deb --help para ajuda sobre manipulação de arquivos *.deb;
Digite dpkg --license para licença de direitos autorais e falta de garantia (GNU GPL)
  • .


Opções marcadas com
  • produzem muita saída de texto - passe-a por `less' ou `more' !

evandro@evandro-desktop:~$  dpkg --help
Uso: dpkg [<opção> ...] <comando>

Comandos:
  -i|--install       <.deb file name> ... | -R|--recursive <diretório> ...
  --unpack           <.deb file name> ... | -R|--recursive <diretório> ...
  -A|--record-avail  <.deb file name> ... | -R|--recursive <diretório> ...
  --configure        <pacote> ... | -a|--pending
  -r|--remove        <pacote> ... | -a|--pending
  -P|--purge         <pacote> ... | -a|--pending
  --get-selections [<padrão> ...] Obtém lista de seleções para stdout.
  --set-selections                Define selecções de pacotes a partir
                                  de stdin.
  --clear-selections              Deseleciona cada pacote não essencial.
  --update-avail <arq-Packages>   Substitui informaçao de pacotes
                                      disponíveis.
  --merge-avail <arq-Packages>    Mesclar com informação do arquivo.
  --clear-avail                   Apagar informação de
                                  disponibilidade
 exisnte.
  --forget-old-unavail            Esquecer pacotes indisponíveis
                                  desinstalados.
  -s|--status <pacote> ...        Exibir detalhes de status de pacotes.
  -p|--print-avail <pacote> ...   Exibir detalhes de versões disponíveis.
  -L|--listfiles <pacote> ...     Listar arquivos de `propriedade' de
                                  pacote(s).
  -l|--list [<padrão> ...]        Listar pacotes concisamente.
  -S|--search <padrão> ...        Encontrar pacote(s) proprietários de
                                  arquivo(s).
  -C|--audit                      Checar por pacote(s) quebrados.
  --print-architecture            Imprmir arquitetura dpkg.
  --compare-versions <a> <op> <b> Comprar números de versão veja abaixo.
  --force-help                    Exibir ajuda sobre forçar.
  -Dh|--debug=help                Exibir ajuda sobre depuração.

  -h|--help                        Exibe esta mensagem de ajuda.
  --version                        Exibe a versão.
  --license|--licence              Exibe os termos de licenciamento e copyright.

Use dpkg -b|--build|-c|--contents|-e|--control|-I|--info|-f|--field|
 -x|--extract|-X|--vextract|--fsys-tarfile em arquivos (digite dpkg-deb --help).

Para uso interno: dpkg --assert-support-predepends | --predep-package |
  --assert-working-epoch | --assert-long-filenames | --assert-multi-conrep.

Opções:
  --admindir=<directory>     Usar <diretório> ao invés de /var/lib/dpkg.
  --root=<diretório>         Instalar em um diretório raíz diferente.
  --instdir=<diretório>      Mudar diretório de instalação sem mudar
                             diretório de administração.
  -O|--selected-only         Pular pacotes não selecionados para
                             instalação/atualização.
  -E|--skip-same-version     Pular pacotes os quais a mesma versão
                             está instalada.
  -G|--refuse-downgrade      Pular pacotes com versão anterior a
                             versão instalada
  -B|--auto-deconfigure      Instalar mesmo se isso significar quebrar
                             alguns outros pacotes.
  --no-debsig                Não tentar verificar as assinaturas de
                             pacotes.
  --no-act|--dry-run|--simulate
                             Somente diga p que seria feito - mas não faça
  -D|--debug=<octal>         Habilitar depuração (veja -Dhelp ou --debug=help).
  --status-fd <n>            Enviar atualizações de status de mudança
                             para descritor de arquivo <n>.
  --log=<nomearquivo>        Mudanças de status de log e ações para
                             <nomearquivo>.
  --ignore-depends=<package>,...
                             Ignorar dependências envolvendo <pacote>.
  --force-...                Sobrepor problemas (veja --force-help).
  --no-force-...|--refuse-...
                             Parar quando problemas são encontrados.
  --abort-after <n>          Abortar após encontrar <n> erros.

Operadores de comparação para --compare-versions are:
  lt le eq ne ge gt       (trata versão vazia como anterior a qualquer                            outra versão);
  lt-nl le-nl ge-nl gt-nl (trata versão vazia como posterior a qualquer                            outra versão);
  < << <= = >= >> >       (somente para compatibiliade com a sintaxe do                            arquivo control).

Use `dselect' ou `aptitude' para gerenciamento de pacotes amigável.
evandro@evandro-desktop:~$

Algum amigo mais experinte no assunto, poderia me dar uma ajuda?

Abs,

Marcopolo.
"Quanto mais aumenta nosso conhecimento, mais evidente fica nossa ignorância" (JFK).http://ubuntuforum-br.org

Desktop, Intel Core i7, 64 bits, Win10 e Ubuntu 20.04 LTS, SSD 240 GB, 8 GB. Dell14",  Core i3, HD 500 GB, 4 GB, Win10- 64 bits. Vaio 15S 8GB -SSD 240 GB,Ubuntu 20.04, LTS, Mint Cinnamon.

Offline clcampos

  • Administrador
  • Usuário Ubuntu
  • *****
  • Mensagens: 10.790
  • .:: User Linux #439596 ::.
    • Ver perfil
Re: Aviso de "dpkg" bugado!
« Resposta #1 Online: 21 de Julho de 2007, 11:53 »
Caros amigos, alguma coisa devo ter feito de errado(é claro!) para toda vez que vou fazer atualização e tbm, qdo tento abrir o Synaptic, dá esse aviso em ingles, abaixo:

E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to corret the problem.  E:_cache ->open()failed, please report



Você tentou isto que a mensagem esta pedindo?

Código: [Selecionar]
dpkg --configure -a
Cristiano/Timóteo - MG
.: Como Fazer Perguntas de Forma Inteligente :.                
Com dúvida? pesquise!

Offline Marcopolo

  • Usuário Ubuntu
  • *
  • Mensagens: 688
  • Ubuntu forever, ever!!
    • Ver perfil
Re: Aviso de "dpkg" bugado!
« Resposta #2 Online: 21 de Julho de 2007, 13:16 »
É Campos, eu coloquei o termo errado, ou seja, em vez de dpkg --configure, coloquei dpkg --configurar!
Vou tentar dakiapoko, mas não sei ainda como fazer essa modificação.

Aquele abraço,

marcopolo.
"Quanto mais aumenta nosso conhecimento, mais evidente fica nossa ignorância" (JFK).http://ubuntuforum-br.org

Desktop, Intel Core i7, 64 bits, Win10 e Ubuntu 20.04 LTS, SSD 240 GB, 8 GB. Dell14",  Core i3, HD 500 GB, 4 GB, Win10- 64 bits. Vaio 15S 8GB -SSD 240 GB,Ubuntu 20.04, LTS, Mint Cinnamon.

Offline cacuatro

  • Usuário Ubuntu
  • *
  • Mensagens: 25
    • Ver perfil
Re: Aviso de "dpkg" bugado!
« Resposta #3 Online: 21 de Julho de 2007, 18:24 »
soh digitar isso
Código: [Selecionar]
dpkg --configure -a'

Offline Marcopolo

  • Usuário Ubuntu
  • *
  • Mensagens: 688
  • Ubuntu forever, ever!!
    • Ver perfil
Re: Aviso de "dpkg" bugado!
« Resposta #4 Online: 21 de Julho de 2007, 18:54 »
Amigo Cacuatro, eu já coloquei esse terminal umas 3 vezes, mas volta para o meu login e não prossegue. Eu acho que deve ter consertado alguma coisa, não é?
Obrigado pelo empenho em me ajudar!

[ ]s,

Marcopolo.
"Quanto mais aumenta nosso conhecimento, mais evidente fica nossa ignorância" (JFK).http://ubuntuforum-br.org

Desktop, Intel Core i7, 64 bits, Win10 e Ubuntu 20.04 LTS, SSD 240 GB, 8 GB. Dell14",  Core i3, HD 500 GB, 4 GB, Win10- 64 bits. Vaio 15S 8GB -SSD 240 GB,Ubuntu 20.04, LTS, Mint Cinnamon.

Offline clcampos

  • Administrador
  • Usuário Ubuntu
  • *****
  • Mensagens: 10.790
  • .:: User Linux #439596 ::.
    • Ver perfil
Re: Aviso de "dpkg" bugado!
« Resposta #5 Online: 21 de Julho de 2007, 22:03 »
Marcopolo só para confirmar você deve usar o sudo. Então:

Código: [Selecionar]
$ sudo dpkg --configure -a
Cristiano/Timóteo - MG
.: Como Fazer Perguntas de Forma Inteligente :.                
Com dúvida? pesquise!

Offline Marcopolo

  • Usuário Ubuntu
  • *
  • Mensagens: 688
  • Ubuntu forever, ever!!
    • Ver perfil
Re: Aviso de "dpkg" bugado!
« Resposta #6 Online: 21 de Julho de 2007, 22:14 »
Campos eu já coloquei o sudo, mas acho que deu o q falei. Fui no terminal agora, mas deu impedimento do processo por eu estar baixando o wine pelo synaptic! Assim q terminar, vou lá de novo.
Thanks.

Marcopolo.
"Quanto mais aumenta nosso conhecimento, mais evidente fica nossa ignorância" (JFK).http://ubuntuforum-br.org

Desktop, Intel Core i7, 64 bits, Win10 e Ubuntu 20.04 LTS, SSD 240 GB, 8 GB. Dell14",  Core i3, HD 500 GB, 4 GB, Win10- 64 bits. Vaio 15S 8GB -SSD 240 GB,Ubuntu 20.04, LTS, Mint Cinnamon.

Offline LeonardoJosé

  • Usuário Ubuntu
  • *
  • Mensagens: 5
    • Ver perfil
Re: Aviso de "dpkg" bugado!
« Resposta #7 Online: 07 de Fevereiro de 2009, 12:43 »
Poisé, comigo também não está funcionando este comando: sudo dpkg --configure -a.
O resultado é o seguinte:

Instalando initramfs-tools (0.85eubuntu39.3) ...
update-initramfs: deferring update (trigger activated)

Processing triggers for initramfs-tools ...
update-initramfs: Generating /boot/initrd.img-2.6.27.8.1.1-omnislash5-bdmod
Cannot find /lib/modules/2.6.27.8.1.1-omnislash5-bdmod
update-initramfs: failed for /boot/initrd.img-2.6.27.8.1.1-omnislash5-bdmod
dpkg: subprocesso post-installation script retornou código de saída de error 1


Acontece que esse kernel Omnislash não está mais instalado no meu pc.
^^

Descobri que meu erro está no initramfs-tools que eu tentei instalar, mas deu erro no meio da instalação. Aparece uma mensagem dizendo que ele está apenas meio configurado.
Tentei configurar com o comando : sudo dpkg --configure initramfs-tools
e retornou este erro.

root@leonardo-desktop:/home/leonardo# dpkg --configure initramfs-tools
Instalando initramfs-tools (0.85eubuntu39.3) ...
update-initramfs: deferring update (trigger activated)

Processing triggers for initramfs-tools ...
update-initramfs: Generating /boot/initrd.img-2.6.27.8.1.1-omnislash5-bdmod
Cannot find /lib/modules/2.6.27.8.1.1-omnislash5-bdmod
update-initramfs: failed for /boot/initrd.img-2.6.27.8.1.1-omnislash5-bdmod
dpkg: subprocesso post-installation script retornou código de saída de error 1


e retorna ao bendito kernel omnislash
« Última modificação: 07 de Fevereiro de 2009, 13:07 por LeonardoJosé »

Offline Hqxriven

  • Usuário Ubuntu
  • *
  • Mensagens: 1.456
    • Ver perfil
Re: Aviso de "dpkg" bugado!
« Resposta #8 Online: 07 de Fevereiro de 2009, 13:59 »
Digite primeiro uname -a

e coloque a resposta aqui:

Depois dê um:

update-initramfs -u
Sem distro Linux fixa - Kernel Omnislash
Meu objetivo nesse fórum é ajudar. Sou um mero humano mas desejo sempre aprender e melhorar em tudo o que faço em minha vida. Então, por favor, quando eu postar me notifique depois

Offline LeonardoJosé

  • Usuário Ubuntu
  • *
  • Mensagens: 5
    • Ver perfil
Re: Aviso de "dpkg" bugado!
« Resposta #9 Online: 07 de Fevereiro de 2009, 16:17 »
leonardo@leonardo-desktop:~$ uname -a
Linux leonardo-desktop 2.6.24-19-generic #1 SMP Wed Jun 18 14:43:41 UTC 2008 i686 GNU/Linux
leonardo@leonardo-desktop:~$ update-initramfs -u
update-initramfs: Generating /boot/initrd.img-2.6.27.8.1.1-omnislash5-bdmod
Cannot find /lib/modules/2.6.27.8.1.1-omnislash5-bdmod

Eu já tentei reinstalar o initramfs-tools e remover também, mas nenhum dos dois funcionou.
Nao tem como apagar algum arquivo ou qualquer coisa onde esteja escrito que esse kernel ainda existe?
O pior é que eu tenho os arquivos .deb dessa compilação e eu nao consigo instalar novamente.

ó não, quem poderá me defender?
« Última modificação: 07 de Fevereiro de 2009, 16:57 por LeonardoJosé »

alarcon

  • Visitante
Re: Aviso de "dpkg" bugado!
« Resposta #10 Online: 07 de Fevereiro de 2009, 17:07 »
leonardo@leonardo-desktop:~$ uname -a
Linux leonardo-desktop 2.6.24-19-generic #1 SMP Wed Jun 18 14:43:41 UTC 2008 i686 GNU/Linux
leonardo@leonardo-desktop:~$ update-initramfs -u
update-initramfs: Generating /boot/initrd.img-2.6.27.8.1.1-omnislash5-bdmod
Cannot find /lib/modules/2.6.27.8.1.1-omnislash5-bdmod

Eu já tentei reinstalar o initramfs-tools e remover também, mas nenhum dos dois funcionou.
Nao tem como apagar algum arquivo ou qualquer coisa onde esteja escrito que esse kernel ainda existe?
O pior é que eu tenho os arquivos .deb dessa compilação e eu nao consigo instalar novamente.

ó não, quem poderá me defender?

Já tentou assim:

sudo apt-get install -f

depois:

sudo dpkg --configure -a

sudo apt-get update

e depois instalar este kernel 2.6.27.8.1.1-omnislash5 novamente.
« Última modificação: 07 de Fevereiro de 2009, 17:09 por alarcon »

Offline LeonardoJosé

  • Usuário Ubuntu
  • *
  • Mensagens: 5
    • Ver perfil
Re: Aviso de "dpkg" bugado!
« Resposta #11 Online: 08 de Fevereiro de 2009, 13:29 »
Tentei fazer isso que você disse Alacron, mas continua não funcionando.

Não sei se é importante, mas o aptitude dá uma saída de erro diferente do apt-get. Não estou na minha casa agora, mas logo posto o erro.

PS.: estou com vontade de reintalar o meu sistema, mas não vou desistir até encontrar a solução. É uma questão de honra.

Deus salve o linux.